Skip to main content
GET
/
api
/
v1
/
customers
List all customers
curl --request GET \
  --url https://payments.oaknetwork.org/api/v1/customers \
  --header 'Authorization: Bearer <token>'
{
  "msg": "<string>",
  "data": {
    "count": 123,
    "customer_list": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "document_number": "<string>",
        "tax_id": "<string>",
        "document_type": "<string>",
        "email": "jsmith@example.com",
        "social_name": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "dob": "2023-11-07T05:31:56Z",
        "house_number": "<string>",
        "street_number": "<string>",
        "street_name": "<string>",
        "postal_code": "<string>",
        "city": "<string>",
        "state": "<string>",
        "phone_country_code": "<string>",
        "phone_area_code": "<string>",
        "phone_number": "<string>",
        "monthly_net_income": "<string>",
        "gender": "<string>",
        "country_code": "<string>",
        "roles": [
          "<string>"
        ],
        "wallet_address": "<string>"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Merchant authentication token. Obtained via POST /api/v1/merchant/token/grant. Pass as: Authorization: Bearer

Query Parameters

limit
integer
default:10

Number of records to return per page

Required range: x >= 1
offset
integer
default:0

Number of records to skip

Required range: x >= 0
target_role
string

Comma-separated roles to filter by (case-insensitive)

provider_registration_status
string

Comma-separated provider registration statuses (case-insensitive)

provider
string

Comma-separated provider names (case-insensitive)

email
string

Comma-separated email addresses to filter by

document_type
string

Comma-separated document types (case-insensitive)

country_code
string

Comma-separated country codes (case-insensitive)

strict
boolean

Enforce limit restrictions

Response

200 - application/json

Customer list

msg
string
required

Human-readable message describing the result

data
object
required

Response payload (null on error)